Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class DefaultFocusTraversalPolicy

    java.lang.Object
      |
      +--java.awt.FocusTraversalPolicy
            |
            +--java.awt.ContainerOrderFocusTraversalPolicy
                  |
                  +--java.awt.DefaultFocusTraversalPolicy

All Implemented Interfaces:
  Serializable

public class DefaultFocusTraversalPolicy
extends ContainerOrderFocusTraversalPolicy

A FocusTraversalPolicy that determines traversal order based on the order of child Components in a Container. From a particular focus cycle root, the policy makes a pre-order traversal of the Component hierarchy, and traverses a Container's children according to the ordering of the array returned by `Container.getComponents()`. Portions of the hierarchy that are not visible and displayable will not be searched.

If client code has explicitly set the focusability of a Component by either overriding `Component.isFocusTraversable()` or `Component.isFocusable()`, or by calling `Component.setFocusable()`, then a DefaultFocusTraversalPolicy behaves exactly like a ContainerOrderFocusTraversalPolicy. If, however, the Component is relying on default focusability, then a DefaultFocusTraversalPolicy will reject all Components with non-focusable peers. This is the default FocusTraversalPolicy for all AWT Containers.

The focusability of a peer is implementation-dependent. Sun recommends that all implementations for a particular native platform construct peers with the same focusability. The recommendations for Windows and Unix are that Canvases, Labels, Panels, Scrollbars, ScrollPanes, Windows, and lightweight Components have non-focusable peers, and all other Components have focusable peers. These recommendations are used in the Sun AWT implementations. Note that the focusability of a Component's peer is different from, and does not impact, the focusability of the Component itself.

Since:
  1.4
See Also:
  `Container.getComponents()`, `Component.isFocusable()`, `Component.setFocusable(boolean)`, Serialized Form

Constructor Summary
`DefaultFocusTraversalPolicy()`

Method Summary
`protected boolean` | `accept(Component aComponent)` Determines whether a Component is an acceptable choice as the new focus owner.

Methods inherited from class java.awt.ContainerOrderFocusTraversalPolicy
`getComponentAfter, getComponentBefore, getDefaultComponent, getFirstComponent, getImplicitDownCycleTraversal, getLastComponent, setImplicitDownCycleTraversal`

Methods inherited from class java.awt.FocusTraversalPolicy
`getInitialComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFocusTraversalPolicy

    public DefaultFocusTraversalPolicy()

Method Detail

### accept

    protected boolean accept(Component aComponent)

  Determines whether a Component is an acceptable choice as the new focus owner. The Component must be visible, displayable, and enabled to be accepted. If client code has explicitly set the focusability of the Component by either overriding `Component.isFocusTraversable()` or `Component.isFocusable()`, or by calling `Component.setFocusable()`, then the Component will be accepted if and only if it is focusable. If, however, the Component is relying on default focusability, then all Canvases, Labels, Panels, Scrollbars, ScrollPanes, Windows, and lightweight Components will be rejected.

  Overrides:
    `accept` in class `ContainerOrderFocusTraversalPolicy`
  Parameters:
    `aComponent` - the Component whose fitness as a focus owner is to be tested
  Returns:
    `true` if aComponent meets the above requirements; `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.